Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk upsert customer group product variant prices

Creates or updates prices for product variants within customer groups and markets in bulk. Accepts up to 100 price items.

PUT/api/v1/{team_slug}/{app_slug}/customer-group-prices
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Prices data

pricesinternal_pkg_webserver_v1.InputCustomerGroupProductVariantPriceItem[]required
max items 100
Show properties
Array of internal_pkg_webserver_v1.InputCustomerGroupProductVariantPriceItem
customer_group_idstringrequired
market_idstringrequired
price_amountinteger

Price is in minor units

min 0
product_variant_idstringrequired
Responses
200

Prices created or updated successfully

datainternal_pkg_webserver_v1.CustomerGroupProductVariantPricesResponserequired
Show properties
failedinternal_pkg_webserver_v1.CustomerGroupProductVariantPriceFailedOp[] | null
Show properties
Array of internal_pkg_webserver_v1.CustomerGroupProductVariantPriceFailedOp
customer_group_idstring
market_idstring
product_variant_idstring
reasonstring
successfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPrice[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPrice
created_atstring
customer_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRef
Show properties
idstring
namestring
slugstring
idstring
marketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceMarket
Show properties
idstring
namestring
slugstring
price_amountinteger
product_variantgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceVariantRef
Show properties
idstring
variant_namestring
updated_atstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/customer-group-prices' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "prices": [
    {
      "customer_group_id": "string",
      "market_id": "string",
      "price_amount": 0,
      "product_variant_id": "string"
    }
  ]
}'
Response
{
  "data": {
    "failed": [
      {
        "customer_group_id": "string",
        "market_id": "string",
        "product_variant_id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "created_at": "string",
        "customer_group": {
          "id": "string",
          "name": "string",
          "slug": "string"
        },
        "id": "string",
        "market": {
          "id": "string",
          "name": "string",
          "slug": "string"
        },
        "price_amount": 0,
        "product_variant": {
          "id": "string",
          "variant_name": "string"
        },
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}